CREATE DOMAIN UNACKED_TYPE AS VARCHAR (40) CHARACTER SET ISO8859_1
DEFAULT 'UNACKED'
CHECK (VALUE IN('ACKED','UNACKED','UNACKED_AND_COMPACTED','ALL','NAKED'));

CREATE DOMAIN WSI_FOREIGN_KEY AS BIGINT 
DEFAULT -1;

ALTER TABLE DHCP_AFBINDINGS4 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_AFBINDINGS4 ADD POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS4');
ALTER TABLE DHCP_AFBINDINGS4 ADD ACCOUNT_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_AFBINDINGS4 ADD ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS');
ALTER TABLE DHCP_AFBINDINGS4 ADD RELAY IP_ADDRESS COLLATE ISO8859_1;
ALTER TABLE DHCP_AFBINDINGS4 ADD OPTIONS LONG_TEXT;
ALTER TABLE DHCP_AFBINDINGS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_AFBINDINGS4 ADD REQUEST GENERAL_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_AFBINDINGS4 ADD CLIENT_ID HEXSTORE COLLATE ISO8859_1;
ALTER TABLE DHCP_AFBINDINGS4 ADD DESIRED_LEASE_EXP_TIME TIME_T;
ALTER TABLE DHCP_AFBINDINGS4 ADD FIXED BOOL;
ALTER TABLE DHCP_AFBINDINGS4 ADD BOOT_PROTO BOOT_PROTO_TYPE COLLATE ISO8859_1;
ALTER TABLE DHCP_AFBINDINGS4 ADD TID_TYPE TID_CLASS;
ALTER TABLE DHCP_AFBINDINGS4 ADD TID LONG_NAME COLLATE ISO8859_1;
ALTER TABLE DHCP_AFBINDINGS4 ADD UNDERLYING_OID ID_TYPE;
ALTER TABLE DHCP_AFBINDINGS4 ALTER COLUMN UNACKED_UPDATE TO UPDATE_STATUS;
ALTER TABLE DHCP_AFBINDINGS4 ALTER COLUMN UPDATE_STATUS TYPE UNACKED_TYPE;
 
ALTER TABLE DHCP_AFBINDINGS4 DROP UNDERLYINGS;
ALTER TABLE DHCP_AFBINDINGS4 DROP UNDERLYINGS_SC;
ALTER TABLE DHCP_AFBINDINGS4_LINKS DROP CONSTRAINT PK_AFBINDINGS4_LINKS;
ALTER TABLE DHCP_AFBINDINGS4_LINKS DROP CONSTRAINT FK_AFBINDINGS4_LINKS_DEST;
ALTER TABLE DHCP_AFBINDINGS4_LINKS DROP CONSTRAINT FK_AFBINDINGS4_LINKS_SRC;

DROP INDEX IDX_AR;
DROP SEQUENCE DHCP_AFBINDINGS4_LINKS;

DROP TABLE DHCP_AFBINDINGS4_LINKS;
CREATE ASC INDEX IDX_AFBINDINGS4_RELAY ON DHCP_AFBINDINGS4 (RELAY,OID);

CREATE TABLE DHCP_NFBINDINGS4 (
    PK PK_TYPE NOT NULL,
	OID ID_TYPE NOT NULL UNIQUE,
    IPADDR IP_ADDRESS COLLATE ISO8859_1,
    ACK_POTENTIAL_EXP_TIME TIME_T,
    RCV_POTENTIAL_EXP_TIME TIME_T,
    SND_POTENTIAL_EXP_TIME TIME_T,
	LEASE_EXPIRE_TIME TIME_T,
    UPDATE_STATUS UNACKED_TYPE,
    SESSION_ID INT32_T,
    STATE_START_TIME TIME_T,
    CLIENT_LAST_TRANS_TIME TIME_T,
    STATE GENERAL_NAME COLLATE ISO8859_1,
	POOL_OID WSI_FOREIGN_KEY,
	POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS4'),
	ACCOUNT_OID WSI_FOREIGN_KEY,
	ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS'),
	RELAY IP_ADDRESS COLLATE ISO8859_1,
	OPTIONS LONG_TEXT,
	MOD_TIME TIME_T,
	REQUEST GENERAL_NAME COLLATE ISO8859_1,
	CLIENT_ID HEXSTORE COLLATE ISO8859_1,
	DESIRED_LEASE_EXP_TIME TIME_T,
	FIXED BOOL,
	BOOT_PROTO BOOT_PROTO_TYPE COLLATE ISO8859_1,
	TID_TYPE TID_CLASS,
	TID LONG_NAME COLLATE ISO8859_1,
	UNDERLYING_OID ID_TYPE);
    
CREATE UNIQUE DESCENDING INDEX IDX_ARN4 ON DHCP_NFBINDINGS4(PK);
CREATE ASC INDEX IDX_NFBINDINGS4_RELAY ON DHCP_NFBINDINGS4 (RELAY,OID);

CREATE TABLE DHCP_AFBINDINGS6 (
    PK PK_TYPE NOT NULL,
	OID ID_TYPE NOT NULL UNIQUE,
    IPADDR IP_ADDRESS COLLATE ISO8859_1,
    ACK_POTENTIAL_EXP_TIME TIME_T,
    RCV_POTENTIAL_EXP_TIME TIME_T,
    SND_POTENTIAL_EXP_TIME TIME_T,
	LEASE_EXPIRE_TIME TIME_T,
    UPDATE_STATUS UNACKED_TYPE,
    SESSION_ID INT32_T,
    STATE_START_TIME TIME_T,
    CLIENT_LAST_TRANS_TIME TIME_T,
    STATE GENERAL_NAME COLLATE ISO8859_1,
	POOL_OID WSI_FOREIGN_KEY,
	POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS6'),
	ACCOUNT_OID WSI_FOREIGN_KEY,
	ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS'),
	RELAY IP_ADDRESS COLLATE ISO8859_1,
	OPTIONS LONG_TEXT,
	MOD_TIME TIME_T,
	REQUEST GENERAL_NAME COLLATE ISO8859_1,
	CLIENT_ID HEXSTORE COLLATE ISO8859_1,
	DESIRED_LEASE_EXP_TIME TIME_T,
	FIXED BOOL,
	BOOT_PROTO BOOT_PROTO_TYPE COLLATE ISO8859_1,
	TID_TYPE TID_CLASS,
	TID LONG_NAME COLLATE ISO8859_1,
	UNDERLYING_OID ID_TYPE);
    
CREATE UNIQUE DESCENDING INDEX IDX_AR6 ON DHCP_AFBINDINGS6(PK);
CREATE ASC INDEX IDX_AFBINDINGS6_RELAY ON DHCP_AFBINDINGS6 (RELAY,OID);


CREATE TABLE DHCP_NFBINDINGS6 (
    PK PK_TYPE NOT NULL,
	OID ID_TYPE NOT NULL UNIQUE,
    IPADDR IP_ADDRESS COLLATE ISO8859_1,
    ACK_POTENTIAL_EXP_TIME TIME_T,
    RCV_POTENTIAL_EXP_TIME TIME_T,
    SND_POTENTIAL_EXP_TIME TIME_T,
	LEASE_EXPIRE_TIME TIME_T,
    UPDATE_STATUS UNACKED_TYPE,
    SESSION_ID INT32_T,
    STATE_START_TIME TIME_T,
    CLIENT_LAST_TRANS_TIME TIME_T,
    STATE GENERAL_NAME COLLATE ISO8859_1,
	POOL_OID WSI_FOREIGN_KEY,
	POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS6'),
	ACCOUNT_OID WSI_FOREIGN_KEY,
	ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS'),
	RELAY IP_ADDRESS COLLATE ISO8859_1,
	OPTIONS LONG_TEXT,
	MOD_TIME TIME_T,
	REQUEST GENERAL_NAME COLLATE ISO8859_1,
	CLIENT_ID HEXSTORE COLLATE ISO8859_1,
	DESIRED_LEASE_EXP_TIME TIME_T,
	FIXED BOOL,
	BOOT_PROTO BOOT_PROTO_TYPE COLLATE ISO8859_1,
	TID_TYPE TID_CLASS,
	TID LONG_NAME COLLATE ISO8859_1,
	UNDERLYING_OID ID_TYPE);
    
CREATE UNIQUE DESCENDING INDEX IDX_ARN6 ON DHCP_NFBINDINGS6(PK);
CREATE ASC INDEX IDX_NFBINDINGS6_RELAY ON DHCP_NFBINDINGS6 (RELAY,OID);

CREATE SEQUENCE DHCP_AFBINDINGS6;
CREATE SEQUENCE DHCP_NFBINDINGS4;
CREATE SEQUENCE DHCP_NFBINDINGS6;

ALTER TABLE DHCP_ABINDINGS4 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_ABINDINGS4 ADD POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS4');
ALTER TABLE DHCP_ABINDINGS4 ADD ACCOUNT_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_ABINDINGS4 ADD ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS');

ALTER TABLE DHCP_NBINDINGS4 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NBINDINGS4 ADD POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS4');
ALTER TABLE DHCP_NBINDINGS4 ADD ACCOUNT_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NBINDINGS4 ADD ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS');

ALTER TABLE DHCP_APENDINGS4 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_APENDINGS4 ADD POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS4');

ALTER TABLE DHCP_NPENDINGS4 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NPENDINGS4 ADD POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS4');

ALTER TABLE DHCP_ABINDINGS6 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_ABINDINGS6 ADD POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS6');
ALTER TABLE DHCP_ABINDINGS6 ADD ACCOUNT_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_ABINDINGS6 ADD ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS');

ALTER TABLE DHCP_NBINDINGS6 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NBINDINGS6 ADD POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS6');
ALTER TABLE DHCP_NBINDINGS6 ADD ACCOUNT_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NBINDINGS6 ADD ACCOUNT_OID_TBL COMPUTED BY ('WSI_ACCOUNTS');

ALTER TABLE DHCP_APENDINGS6 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_APENDINGS6 ADD POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS6');

ALTER TABLE DHCP_NPENDINGS6 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NPENDINGS6 ADD POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS6');

ALTER TABLE DHCP_APOOL_MARKS4 DROP NAME;
ALTER TABLE DHCP_NPOOL_MARKS4 DROP NAME;

ALTER TABLE DHCP_APOOL_MARKS4 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_APOOL_MARKS4 ADD POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS4');

ALTER TABLE DHCP_NPOOL_MARKS4 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NPOOL_MARKS4 ADD POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS4');

ALTER TABLE DHCP_APOOL_MARKS6 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_APOOL_MARKS6 ADD POOL_OID_TBL COMPUTED BY ('DHCP_APOOLS6');

ALTER TABLE DHCP_NPOOL_MARKS6 ADD POOL_OID WSI_FOREIGN_KEY;
ALTER TABLE DHCP_NPOOL_MARKS6 ADD POOL_OID_TBL COMPUTED BY ('DHCP_NPOOLS6');

/* A table for holding sampled data */
CREATE TABLE WSI_SAMPLE (
    PK PK_TYPE NOT NULL,
    OID ID_TYPE NOT NULL UNIQUE,
    MOD_TIME TIME_T,
    VERSION INTEGER,
    RAWDATA BLOB sub_type 0 segment size 1,
    SECURED_REF FOREIGN_KEY_ID,
    SECURED_REF_CL CLASS_NAME COLLATE ISO8859_1);

ALTER TABLE WSI_SAMPLE ADD CONSTRAINT PK_SAMPLE PRIMARY KEY(PK);
CREATE UNIQUE DESCENDING INDEX IDX_SAMPLE ON WSI_SAMPLE(PK);
CREATE SEQUENCE WSI_SAMPLE;
ALTER TABLE WSI_SAMPLE ADD CONSTRAINT FK_SAMPLE_SECURED FOREIGN KEY (SECURED_REF) REFERENCES WSI_SECURED_OBJECT (PK);
CREATE INDEX IDX_WSI_SAMPLE ON WSI_SAMPLE (MOD_TIME,VERSION);