spec_name=DHCPv4
spec_description=DHCPv4 option definitions. These options will not override options that are already in your database.
include=oinc,oinc4

tagpath=0
type=control
name=Pad
description=Used for alignment purposes only.
arrayed=false
signed=false
user_definable=disallowed
class=Standard DHCP

tagpath=1
type=ipaddress
name=Subnet mask
description=Specifies a subnet mask for the device
arrayed=false
signed=false
user_definable=allowed
class=Standard DHCP

tagpath=2
type=32bit
name=Time offset
description=A signed integer quantity specifying the device's offset, in seconds, from Coordinated Universal Time (UTC). UTC time is also referred to as Greenwich Mean Time.
arrayed=false
signed=true
user_definable=allowed
unit=seconds
class=Standard DHCP

arrayed=true
description=A list of routers, in preferential order, for the device to use.
name=Gateways
signed=false
tagpath=3
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of RFC 868 time servers available to the device. Time servers allow the device to synchronize its clock with the network standard time.
name=Time servers
signed=false
tagpath=4
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of IEN-116 name servers.
name=IEN116 name servers
signed=false
tagpath=5
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of Domain Name servers in preferential order. A Domain Name server enables the device to locate other computers on the network by name.
name=Domain name servers
signed=false
tagpath=6
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of MIT-LCS UDP log servers available to the device, in preferential order.
name=Log servers
signed=false
tagpath=7
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of Cookie/Quote servers, in preferential order.
name=Cookie/Quote servers
signed=false
tagpath=8
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of servers, in preferential order, providing RFC 1179 LPR services to the device.
name=LPR servers
signed=false
tagpath=9
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of Imagen Impress servers available to the device, in preferential order.
name=Impress servers
signed=false
tagpath=10
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of servers, in preferential order, providing RFC 887 Resource Location Protocol services to the device.
name=RLP servers
signed=false
tagpath=11
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The host name of the device.
name=Hostname
signed=false
tagpath=12
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The size of the device's boot file, in 512-byte units.
name=Boot file size
signed=false
tagpath=13
type=16bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The path-name of a file to which the device should write core dumps.
name=Merit dump file
signed=false
tagpath=14
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The domain name the device should use when resolving hostnames via the Domain Name System.
name=Domain name
signed=false
tagpath=15
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of swap servers, in preferential order.
name=Swap servers
signed=false
tagpath=16
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The device's root path.
name=Root path
signed=false
tagpath=17
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A string to specify a file, retrievable via TFTP, which contains information which can be interpreted in the same way as the 64-octet vendor-extension field within a BOOTP response.
name=Extensions path
signed=false
tagpath=18
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=An 8-bit boolean value. TRUE indicates that the device should function as an IP-layer forwarding device.
name=IP forwarding
signed=false
tagpath=19
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=An 8-bit boolean value. TRUE indicates that the device should configure its IP layer to allow forwarding of datagrams with non-local source routes.
name=Non-local source routing
signed=false
tagpath=20
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Specifies policy filters for non-local source routing. The filters consist of a list of IP addresses and masks which specify destination/mask pairs with which to filter incoming source routes.
name=Policy filter
signed=false
tagpath=21
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The maximum size datagram that the device should be prepared to reassemble.
name=Max datagram reassembly size
signed=false
tagpath=22
type=16bit
user_definable=allowed
unit=bytes
class=Standard DHCP

arrayed=false
description=The default time-to-live that the device should use on outgoing datagrams. The TTL is specified as an octet with a value between 1 and 255.
name=Default IP TTL
signed=false
tagpath=23
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The timeout (in seconds) to use when aging Path MTU values discovered by the mechanism defined in RFC 1191.
name=Path MTU aging timeout
signed=false
tagpath=24
type=32bit
user_definable=allowed
unit=seconds
class=Standard DHCP

arrayed=true
description=A table of MTU sizes to use when performing Path MTU Discovery as defined in RFC 1191. The table is formatted as a list of 16-bit unsigned integers, ordered from smallest to largest. The minimum MTU value cannot be smaller than 68.
name=Path MTU plateau table
signed=false
tagpath=25
type=16bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The Maximum Transmission Unit the device should use for this interface.
name=Interface MTU
signed=false
tagpath=26
type=16bit
user_definable=allowed
unit=bytes
class=Standard DHCP

arrayed=false
description=A boolean value specifying whether or not the device may assume that all subnets of the IP network to which the device is connected use the same MTU as the subnet of that network to which the device is directly connected.
name=All subnets are local
signed=false
tagpath=27
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The broadcast address in use on the device's subnet.
name=Broadcast address
signed=false
tagpath=28
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A boolean value indicating whether or not the device should perform subnet mask discovery using ICMP.
name=Perform mask discovery
signed=false
tagpath=29
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A boolean value indicating whether or not the device should respond to subnet mask requests using ICMP.
name=Mask supplier
signed=false
tagpath=30
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A boolean value indicating whether or not the device should solicit routers using the Router Discovery mechanism defined in RFC 1256.
name=Perform router discovery
signed=false
tagpath=31
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The address to which the device should transmit router solicitation requests.
name=Router solicitation address
signed=false
tagpath=32
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of static routes that the device should install in its routing cache. If multiple routes to the same destination are specified, they are listed in descending order of priority.
name=Static route
signed=false
tagpath=33
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A boolean value specifying whether or not the device should negotiate the use of trailers when using the ARP protocol.
name=Trailer encapsulation
signed=false
tagpath=34
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The timeout, in seconds, for ARP cache entries.
name=Arp cache timeout
signed=false
tagpath=35
type=32bit
user_definable=allowed
unit=seconds
class=Standard DHCP

arrayed=false
description=A boolean value indicating whether or not the device should use Ethernet Version 2 or IEEE 802.3 encapsulation if the interface is an Ethernet.
name=Ethernet encapsulation
signed=false
tagpath=36
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The default TTL that the device should use when sending TCP segments.
name=TCP default TTL
signed=false
tagpath=37
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The interval, in seconds, that the device should wait before sending a keepalive message on a TCP connection.
name=TCP keepalive interval
signed=false
tagpath=38
type=32bit
user_definable=allowed
unit=seconds
class=Standard DHCP

arrayed=false
description=A boolean value indicating whether or not the device should send TCP keepalive messages with an octet of garbage for compatibility with older implementations.
name=TCP keepalive garbage
signed=false
tagpath=39
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The name of the device's NIS domain.
name=NIS domain
signed=false
tagpath=40
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of IP addresses, in preferential order, indicating NIS servers available to the device.
name=NIS servers
signed=false
tagpath=41
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of IP addresses, in preferential order, indicating Network Time Protocol servers available to the device.
name=NTP servers
signed=false
tagpath=42
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Used by devices and servers to exchange vendor-specific information.
name=Vendor specific info
signed=false
tagpath=43
type=subencoded
user_definable=allowed
context_vendor_id=<60>
class=Standard DHCP

arrayed=true
description=A list of IP addresses, in preferential order, specifying RFC 1001/1002 NetBIOS name servers (NBNS).
name=NBT name servers
signed=false
tagpath=44
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of IP addresses, in preferential order, specifying RFC 1001/1002 NetBIOS datagram distribution servers (NBDD).
name=NBT datagram distribution servers
signed=false
tagpath=45
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Allows NetBIOS over TCP/IP devices which are configurable to be configured as described in RFC 1001/1002. The value is specified as a single octet which identifies the device type as follows: 1 = B-node, 2 = P-node, 4 = M-node, 8 = H-node
name=NBT node type
signed=false
tagpath=46
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The NetBIOS over TCP/IP scope parameter for the device as specified in RFC 1001/1002.
name=NBT scope
signed=false
tagpath=47
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of IP addresses, in preferential order, of X Window System Font servers available to the device.
name=X Window system font servers
signed=false
tagpath=48
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of IP addresses, in preferential order, of systems that are running the X Window System Display Manager and are available to the device.
name=X Window system display managers
signed=false
tagpath=49
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Used by a device in the discovery process to request that a specific address be assigned.
name=Requested IP
signed=false
tagpath=50
type=ipaddress
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Used in a device request (DHCPDISCOVER or DHCPREQUEST) to allow the device to request a lease time for the IP address. In a server reply (DHCPOFFER), a DHCP server uses this option to specify the lease time it is willing to offer.
name=DHCP address lease time
signed=false
tagpath=51
type=time
user_definable=allowed
unit=seconds
class=Standard DHCP

arrayed=false
description=Used to indicate that the 'sname' or 'file' fields have been overloaded to carry DHCP options.
name=Option overload
signed=false
tagpath=52
type=control
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Used to convey the type of the DHCP message.
name=DHCP message type
signed=false
tagpath=53
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Used by the DHCP protocol to identify a given server.
name=Server identifier
signed=false
tagpath=54
type=ipaddress
user_definable=disallowed
class=Standard DHCP

arrayed=true
description=Used by a DHCP-enabled device to request values for specified configuration parameters.
name=Parameter request list
signed=false
tagpath=55
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=In the event of an error, the server provides the client with a human-readable error message using this option.
name=Message
signed=false
tagpath=56
type=string
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Specifies the maximum length DHCP message that a device can accept.
name=Maximum message size
signed=false
tagpath=57
type=16bit
user_definable=disallowed
unit=bytes
class=Standard DHCP

arrayed=false
description=The time interval from address assignment until the device transitions to the RENEWING state.
name=DHCP renewal time
signed=false
tagpath=58
type=time
user_definable=allowed
unit=seconds
class=Standard DHCP

arrayed=false
description=The time interval from address assignment until the device transitions to the REBINDING state.
name=DHCP rebinding time
signed=false
tagpath=59
type=time
user_definable=allowed
unit=seconds
class=Standard DHCP

arrayed=false
description=Used by DHCP-enabled devices to optionally identify their type and configuration.
name=Class identifier
signed=false
tagpath=60
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A device uses this option to specify its unique identifier.
name=Client identifier
signed=false
tagpath=61
type=byte_sequence
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Conveys the Netware/IP domain name to a Netware/IP product.
name=Netware/IP domain name
signed=false
tagpath=62
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Conveys the Netware/IP domain name to a Netware/IP product.
name=Netware/IP domain name
signed=false
tagpath=63
type=subencoded
user_definable=allowed
class=Standard DHCP

arrayed=false
description=If present, the server indicates it has no Netware/IP configuration information.
name=Netware/IP does not exist
signed=false
tagpath=63/1
type=control
user_definable=allowed
class=Standard DHCP

arrayed=false
description=If present, indicates netware options exist in the options area.
name=Netware/IP exist in options
signed=false
tagpath=63/2
type=control
user_definable=allowed
class=Standard DHCP

arrayed=false
description=If present, indicates netware options exist in the sname area.
name=Netware/IP exist in sname
signed=false
tagpath=63/3
type=control
user_definable=allowed
class=Standard DHCP

arrayed=false
description=If present, indicates netware options exist but cannot fit in the server's response.
name=Netware/IP too big
signed=false
tagpath=63/4
type=control
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Indicates that the Netware/IP client should perform an NSQ broadcast.
name=NSQ broadcast
signed=false
tagpath=63/5
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of IP addresses specifying Netware Domain SAP/RIP servers.
name=Preferred DSS
signed=false
tagpath=63/6
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of the nearest Netware/IP servers.
name=Nearest NWIP server
signed=false
tagpath=63/7
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The number of times a client should attempt to communicate with a Netware/IP server on startup.
name=Auto-retries
signed=false
tagpath=63/8
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The number of delay seconds between auto-retries.
name=Auto-retry seconds
signed=false
tagpath=63/9
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=If true, indicates that the client should support Netware/IP version 1.1.
name=NWIP 1.1
signed=false
tagpath=63/10
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Conveys the address of the Primary Domain SAP/RIP server.
name=Primary DSS
signed=false
tagpath=63/11
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=NIS+ domain
name=NIS+ domain
signed=false
tagpath=64
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of NIS+ servers available to the device.
name=NIS+ servers
signed=false
tagpath=65
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The host name of the device's TFTP server.
name=Overload tftp server name
signed=false
tagpath=66
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The name of the device's boot file.
name=Overload boot file name
signed=false
tagpath=67
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Specifies a list, in preferential order, of IP addresses indicating mobile IP home agents available to the device.
name=Mobile IP home agent
signed=false
tagpath=68
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of Simple Mail Transfer Protocol servers available to the device.
name=SMTP servers
signed=false
tagpath=69
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of Post Office Protocol 3 servers available to the device.
name=POP3 servers
signed=false
tagpath=70
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of Network News Transport Protocol servers available to the device.
name=NNTP servers
signed=false
tagpath=71
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of World Wide Web servers available to the device. This normally denotes a device's home server.
name=WWW servers
signed=false
tagpath=72
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of Finger Protocol servers available to the device.
name=Finger servers
signed=false
tagpath=73
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of Internet Relay Chat servers available to the device.
name=IRC servers
signed=false
tagpath=74
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, or StreetTalk servers available to the device.
name=Streettalk servers
signed=false
tagpath=75
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list, in preferential order, of StreetTalk Directory Assistance servers available to the device.
name=Streettalk DA servers
signed=false
tagpath=76
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Used by a DHCP client to optionally identify the type or category of user or applications it represents.
name=User class
signed=false
tagpath=77
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of SLP directory agents the client can use.
name=SLP Directory Agent
signed=false
tagpath=78
type=ipaddress
user_definable=allowed
input_type_encoding_value=1
output_type_encoding_value=1
class=Standard DHCP

arrayed=false
description=A comma-delimited list of SLP scope names.
name=SLP Service Scopes
signed=false
tagpath=79
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Used by clients to request rapid commit of an existing lease.
name=Rapid commit
signed=false
tagpath=80
type=control
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Used by a DHCP-enabled device to convey its Fully Qualified Domain Name (FQDN), as well as information regarding DNS updates. To specify an FQDN for a device, use options 12 and 15.
name=Client FQDN
signed=false
tagpath=81
type=fixed_offset
user_definable=disallowed
fixed_offsets="1,0,1","2,1,1","3,2,1","4,3,0"
class=Standard DHCP

arrayed=false
description=Bit flags indicating, among other things, whether the server or client should update hostname->ip mappings.
name=Flags
signed=false
tagpath=81/1
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=DNS server return code 1. This field is deprecated.
name=RCode1
signed=false
tagpath=81/2
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=DNS server return code 2. This field is deprecated.
name=RCode2
signed=false
tagpath=81/3
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=The client's fully qualified domain name.
name=FQDN
signed=false
tagpath=81/4
type=dnsname
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Data from relay agents that support the Relay Agent Information option. You can access the contents of this option with the $RELAY.XXX() family of functions, or set resource limitations using RID or CID with option -17 or option -22.
name=Relay Agent Information
signed=false
tagpath=82
type=subencoded
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Identifies the the relay agent's circuit through which the remote host is communicating.
name=Circuit ID
signed=false
tagpath=82/1
type=byte_sequence
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Identifies the remote host end of an agent's circuit.
name=Remote ID
signed=false
tagpath=82/2
type=byte_sequence
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Identifies the class of device at the end of the relay agent's circuit.
name=Device Class
signed=false
tagpath=82/4
type=32bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Used to inform the server of the network on which the client resides.
name=Link Selection
signed=false
tagpath=82/5
type=ipaddress
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=A persistent identifier for a subscriber.
name=Subscriber ID
signed=false
tagpath=82/6
type=string
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Attributes obtained during RADIUS authentication.
name=RADIUS Attributes
signed=false
tagpath=82/7
type=subencoded
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Authentication suboption.
name=Authentication
signed=false
tagpath=82/8
type=fixed_offset
user_definable=disallowed
class=Standard DHCP
fixed_offsets="1,0,1","2,1,1","3,2,8","4,10,4","5,14,0"

arrayed=false
description=Authentication algorithm.
name=Algorithm
signed=false
tagpath=82/8/1
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=RDM & MBZ.
name=RDM
signed=false
tagpath=82/8/2
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Replay detection.
name=RD
signed=false
tagpath=82/8/3
type=64bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Relay identifier.
name=Relay identifier
signed=false
tagpath=82/8/4
type=ipaddress
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Authentication information.
name=Auth
signed=false
tagpath=82/8/5
type=byte_sequence
user_definable=disallowed
class=Standard DHCP

arrayed=true
description=Vendor-specific relay agent options.
name=Vendor-specific
signed=false
tagpath=82/9
type=fixed_offset
user_definable=disallowed
class=Standard DHCP
fixed_offsets="1,0,4","2,4,0"

arrayed=false
description=Vendor enterprise number.
name=Enterprise number
signed=false
tagpath=82/9/1
type=32bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Vendor-specific options for relay agents.
name=Options
signed=false
tagpath=82/9/2
context_vendor_id=<82/9/1>
type=subencoded
len_prefix_width=1
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Relay agent flags.
name=Flags
signed=false
tagpath=82/10
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Server identifier override.
name=Server ID override
signed=false
tagpath=82/11
type=ipaddress
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Used by some relay agents to convey vendor-specific information to the DHCP server.
name=Vendor specific info
signed=false
tagpath=82/43
type=byte_sequence
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Configuration information for Internet Storage Name Service.
name=iSNS
signed=false
tagpath=83
type=fixed_offset
user_definable=allowed
class=Standard DHCP
fixed_offsets="1,0,2","2,2,2","3,4,2","4,6,4","5,10,4","6,14,4","7,18,0"

arrayed=false
description=A bit field defining functions supported by the iSNS servers. Bit 13 = security policy distribution, bit 14 = DD-based authorization, bit 15 = functions field enabled.
name=iSNS functions
signed=false
tagpath=83/1
type=16bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A bit field indicating the types of iSNS clients that are allowed to modify Discovery Domains. Bit 15 = Enabled, bit 14 = Control Node, bit 13 = iSCSI Target, bit 12 = iSCSI Initiator, bit 11 = iFCP Target Port, bit 10 = iFCP Initiator Port.
name=DD access
signed=false
tagpath=83/2
type=16bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Contains the administrative settings for the iSNS servers discovered through the DHCP query. Bit 15 = Enabled, bit 14 = Heartbeat, bit 13 = Management SCNs, bit 12 = Default Discovery Domain.
name=Administrative flags
signed=false
tagpath=83/3
type=16bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Contains iSNS server security settings. Bit 31 = Enabled, bit 30 = IKE/IPSec, bit 29 = Main Mode, bit 28 = Aggressive Mode, bit 27 = PFS, bit 26 = Transport Mode, bit 25  = Tunnel Mode.
name=iSNS Server Security
signed=false
tagpath=83/4
type=32bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Depending on the setting of the Heartbeat bit in the Administrative Flags field (see section 2.3), this field contains either the IP address from which the iSNS heartbeat originates (see [iSNS]) or the IP address of the primary iSNS server
name=A-address
signed=false
tagpath=83/5
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Depending on the setting of Heartbeat bit in the Administrative Flags field (see section 2.3), this field contains either the IP address of the primary iSNS server or that of a secondary iSNS server.
name=B-address
signed=false
tagpath=83/6
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Specifies the IP addresses of additional secondary iSNS servers.
name=Secondary servers
signed=false
tagpath=83/7
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Specifies one or more NDS servers for the client to use.
name=NDS Servers
signed=false
tagpath=85
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Specifies the name of the NDS tree the client should contact.
name=NDS Tree Name
signed=false
tagpath=86
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Specifies the initial NDS context the client should use.
name=NDS Context
signed=false
tagpath=87
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Specifies a list of BCMCS controller servers.
name=BCMCS Controller Domain Names
signed=false
tagpath=88
type=dnsname
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Specifies a list of BCMCS controller servers.
name=BCMCS Controller Addresses
signed=false
tagpath=89
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Authentication option. (RFC 3118)
name=Authentication
signed=false
tagpath=90
type=fixed_offset
user_definable=disallowed
class=Standard DHCP
fixed_offsets="1,0,1","2,1,1","3,2,1","4,3,8","5,12,0"

arrayed=false
description=Authentication protocol.
name=Protocol
signed=false
tagpath=90/1
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Authentication algorithm.
name=Algorithm
signed=false
tagpath=90/2
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=RDM.
name=RDM
signed=false
tagpath=90/3
type=8bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Replay detection.
name=RD
signed=false
tagpath=90/4
type=64bit
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Authentication information.
name=Auth
signed=false
tagpath=90/5
type=byte_sequence
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=Used with DHCP lease-query to indicate the amount of time (seconds) that has elapsed since a DHCP device has communicated with this server.
name=Client Last Transaction Time
signed=false
tagpath=91
type=32bit
user_definable=disallowed
class=Standard DHCP

arrayed=true
description=Used with DHCP lease-query to indicate one or more addresses that are associated with a DHCP device.
name=Associated IP
signed=false
tagpath=92
type=ipaddress
user_definable=disallowed
class=Standard DHCP

arrayed=false
description=This option indicates the client's system architecture type. See RFC 4578 for a list of valid architectures.
name=PXE System Architecture
signed=false
tagpath=93
type=16bit
user_definable=disallowed
class=PXE

arrayed=false
description=Conveys the network interface type and major and minor revisions. (RFC 4578)
name=PXE Network Interface
signed=false
tagpath=94
type=fixed_offset
user_definable=disallowed
class=PXE
fixed_offsets="1,0,1","2,1,1","3,2,1"

arrayed=false
description=The network interface type. The only valid vaue is 1. (RFC 4578)
name=Type
signed=false
tagpath=94/1
type=8bit
user_definable=disallowed
class=PXE

arrayed=false
description=The major version number of the network interface. (RFC 4578)
name=Major
signed=false
tagpath=94/2
type=8bit
user_definable=disallowed
class=PXE

arrayed=false
description=The minor version number of the network interface. (RFC 4578)
name=Minor
signed=false
tagpath=94/3
type=8bit
user_definable=disallowed
class=PXE

arrayed=false
description=The client's machine GUID. (RFC 4578)
name=PXE GUID
signed=false
tagpath=97
type=byte_sequence
user_definable=disallowed
class=PXE

arrayed=false
description=A list of URLS for the User Authentication Protocol. Multiple URLS should be separated with a whitespace. (RFC 2485)
name=User Authentication URLS
signed=false
tagpath=98
type=string
user_definable=allowed
class=PXE

arrayed=false
description=Civic location configuration. (RFC 4776)
name=Civic Location
signed=false
tagpath=99
type=fixed_offset
user_definable=allowed
class=Standard DHCP
fixed_ofsets="1,0,1","2,1,2","3,2,0"

arrayed=false
description=Defines what this location information refers to. See RFC 4776 for acceptable values.
name=What
signed=false
tagpath=99/1
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The two-letter ISO country code. (RFC 4776)
name=Country code
signed=false
tagpath=99/2
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=The civic address. (RFC 4776)
name=Civic address
signed=false
tagpath=99/3
type=fixed_offset
user_definable=allowed
class=Standard DHCP
fixed_offsets="1,0,1","2,1,0"

arrayed=false
description=The civic address type. See RFC 4776 for a list of valid types.
name=CA type
signed=false
tagpath=99/3/1
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The civic address value. See RFC 4776 for formatting information.
name=CA value
signed=false
tagpath=99/3/2
type=string
len_prefix_width=1
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A Posix timezone string. (RFC 4833)
name=TZ-Posix
signed=false
tagpath=100
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A reference to the TZ database. (RFC 4833)
name=TZ-Database
signed=false
tagpath=101
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Enable or disable automatic address configuration.
name=DHCP Autoconfig
signed=false
tagpath=116
type=boolean
user_definable=allowed
class=Standard DHCP

arrayed=true
description=A list of DHCP option codes denoting the order for searching name servers. (RFC 2937)
name=Name Server Search
signed=false
tagpath=117
type=16bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Used by a proxy device to request an address from a specific scope. Your access to this option is through option -21.
name=Subnet Selection
signed=false
tagpath=118
type=ipaddress
user_definable=disallowed
class=Standard DHCP

arrayed=true
description=A list of domain names to be searched by the client when resolving unqualified host names. (RFC 3397)
name=Domain search
signed=false
tagpath=119
type=dnsname
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Convey a SIP server's location to a device.
name=SIP Server
signed=false
tagpath=120
type=ipaddress
input_encoding_value=1
output_encoding_value=1
user_definable=allowed
class=Standard DHCP

arrayed=false
description=An encoding for distributing classless static routes. See RFC 3442 for a description of the encoding.
name=Classless static routes
signed=false
tagpath=121
type=byte_sequence
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Used to configure various operating parameters for Cablelabs devices.
name=Cablelabs Client Configuration
signed=false
tagpath=122
type=subencoded
user_definable=allowed
class=Standard Cablelabs

arrayed=false
description=The address of the Telephony Service Provider's primary DHCP server.
name=TSP Primary DHCP
signed=false
tagpath=122/1
type=ipaddress
user_definable=allowed
class=Standard Cablelabs

arrayed=false
description=The address of the Telephony Service Provider's secondary DHCP server.
name=TSP Secondary DHCP
signed=false
tagpath=122/2
type=ipaddress
user_definable=allowed
class=Standard Cablelabs

arrayed=false
description=The fully qualified domain name of the Telephony Service Provider's Provisioning Server.
name=TSP Provisioning Server
signed=false
tagpath=122/3
type=dnsname
input_type_encoding_value=0
output_type_encoding_value=0
user_definable=allowed
class=Standard Cablelabs

arrayed=true
description=A sequence of three values specifying the MTA's Kerberos AS-REQ/AS-REP timeout, backoff and retry.
name=TSP AS-REQ/AS-REP
signed=false
tagpath=122/4
type=32bit
user_definable=allowed
class=Standard Cablelabs

arrayed=true
description=A sequence of three values specifying the MTA's Kerberos AP-REQ/AP-REP timeout, backoff and retry.
name=TSP AP-REQ/AP-REP
signed=false
tagpath=122/5
type=32bit
user_definable=allowed
class=Standard Cablelabs

arrayed=true
description=The TSP's Kerberos Realm name.
name=TSP Kerberos Realm
signed=false
tagpath=122/6
type=dnsname
user_definable=allowed
class=Standard Cablelabs

arrayed=false
description=Specifies whether or not the device should use a TGT when obtaining a service ticket for a PacketCable application server.
name=Ticket Granting Server Utilization
signed=false
tagpath=122/7
type=bool
user_definable=allowed
class=Standard Cablelabs

arrayed=false
description=Defines the maximum time allowed for the MTA provisioning process to complete.
name=TSP Provisioning Timer Value
signed=false
tagpath=122/8
type=8bit
user_definable=allowed
class=Standard Cablelabs

arrayed=false
description=A Ticket Control Mask (TCM) that instructs a Cablelabs device to validate/invalidate specific application server tickets. RFC 3594 defines the bit fields of this tag..
name=Security Ticket Control
signed=false
tagpath=122/9
type=16bit
user_definable=allowed
class=Standard Cablelabs

arrayed=false
description=This option can be used to inform a device of its physical location. The data is represented as encoded numbers that do not fall on 8-bit boundaries. (RFC 6225)
name=Location Configuration
signed=false
tagpath=123
type=byte_sequence
user_definable=allowed
class=Standard DHCP

tagpath=124
type=fixed_offset
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=VI Vendor class
description=Vendor-identifying vendor class.
fixed_offsets="1,0,2","2,2,0"
class=Standard DHCP

tagpath=124/1
type=16bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Enterprise number
description=Vendor enterprise number.
class=Standard DHCP

tagpath=124/2
type=string
signed=false
arrayed=true
len_prefix_width=1
user_definable=disallowed
name=Data
description=Vendor class data.
class=Standard DHCP

tagpath=125
type=fixed_offset
signed=false
arrayed=true
user_definable=allowed
name=Vendor options
description=Vendor options.
fixed_offsets="1,0,4","2,4,0"
class=Standard DHCP

tagpath=125/1
type=32bit
signed=false
arrayed=false
user_definable=allowed
name=Enterprise number
description=Vendor enterprise number.
class=Standard DHCP

tagpath=125/2
type=subencoded
signed=false
arrayed=false
user_definable=allowed
name=Options
description=Vendor-specific options.
len_prefix_width=1
context_vendor_id=<125/1>
class=Standard DHCP

tagpath=136
arrayed=true
description=A list, in preferential order, of PANA authentication agents for use by the device. (RFC 5192)
name=PANA agent
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=137
arrayed=false
description=A fully qualified domain name to be used by LoST clients to locate a LoST server. (RFC 5223)
name=LoST server
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=138
arrayed=true
description=A list, in preferential order, of Control And Provisioning of Wireless Access Points (CAPWAP) servers available to Wireless Termination Points. (RFC 5417)
name=CAPWAP servers
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=139
arrayed=false
description=A set of addresses for Mobility Services that facilitate handover preparation and handover decision. (RFC 5678)
name=MoS address
signed=false
type=subencoded
user_definable=allowed
class=Standard DHCP

tagpath=139/1
arrayed=true
description=A list, in preferential order, of IS servers to be used by the Mobility Services client. (RFC 5678)
name=IS
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=139/2
arrayed=true
description=A list, in preferential order, of CS servers to be used by the Mobility Services client. (RFC 5678)
name=CS
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=139/3
arrayed=true
description=A list, in preferential order, of ES servers to be used by the Mobility Services client. (RFC 5678)
name=ES
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=140
arrayed=false
description=A set of domain names for Mobility Services that facilitate handover preparation and handover decision. (RFC 5678)
name=MoS domain name
signed=false
type=subencoded
user_definable=allowed
class=Standard DHCP

tagpath=140/1
arrayed=false
description=The fully qualified domain name of an IS server to be used by the Mobility Services client. (RFC 5678)
name=IS
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=140/2
arrayed=false
description=The fully qualified domain name of a CS server to be used by the Mobility Services client. (RFC 5678)
name=CS
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=140/3
arrayed=false
description=The fully qualified domain name of an ES server to be used by the Mobility Services client. (RFC 5678)
name=ES
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=144
arrayed=false
description=This option can be used to inform a device of its physical location. The data is represented as encoded numbers that do not fall on 8-bit boundaries. (RFC 6225)
name=Geolocation
signed=false
type=byte_sequence
user_definable=allowed
class=Standard DHCP

arrayed=true
description=One or more TFTP server addresses. This option is commonly used by IP telephones.
name=TFTP Server Address
signed=false
tagpath=150
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Non-standard PacketCable options based on early draft specifications. You should only define these options if your PacketCable device does not comply with RFC 3495.
name=Legacy PacketCable
signed=false
tagpath=177
type=subencoded
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=The address of the Telephony Service Provider's Primary DHCP server (Bracketed [x.y.z.w]).
name=TSP Primary DHCP
signed=false
tagpath=177/1
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=The address of the Telephony Service Provider's Secondary DHCP Server (Bracketed [x.y.z.w]).
name=TSP Secondary DHCP
signed=false
tagpath=177/2
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=The FQDN address of the Telephony Service Provider's SNMP Server.
name=TSP SNMP
signed=false
tagpath=177/3
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=The IP address of the Telephony Service Provider's Primary DNS server (Bracketed [x.y.z.w]).
name=TSP Primary DNS
signed=false
tagpath=177/4
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=The IP address of the Telephony Service Provider's Secondary DNS server (Bracketed [x.y.z.w]).
name=TSP Secondary DNS
signed=false
tagpath=177/5
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=The FQDN address of the Telephony Service Provider's Kerberos Realm.
name=TSP Realm
signed=false
tagpath=177/6
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=Authorization Method
name=Authorization Method
signed=false
tagpath=177/7
type=bool
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=Provisioning Timer
name=Provisioning Timer
signed=false
tagpath=177/8
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=Primary Line (Bracketed [x.y.z.w])
name=Primary Line
signed=false
tagpath=177/9
type=string
user_definable=allowed
class=Legacy Cablelabs

arrayed=false
description=Signifies the end of data in a dhcp packet.
name=End
signed=false
tagpath=255
type=control
user_definable=disallowed
class=Standard DHCP

tagpath=1000
type=string
name=Boot file
description=Specifies a boot file the device may retrieve via TFTP from its second stage boot server.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1001
type=32bit
name=Circuit ID address limit
description=Limits the number of addresses that can be allocated to a given circuit id.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1002
type=32bit
name=Remote ID address limit
description=Limits the number of addresses that can be allocated to a given remote id.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1003
type=32bit
name=Subscriber ID address limit
description=Limits the number of addresses that can be allocated to a given subscriber identifier.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1004
type=boolean
name=Device selectable
description=Indicates whether or not an address pool is available for explicit selection via the RFC-standard 'subnet selection' option.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1005
type=string
name=Server name
description=The host name of a TFTP server the device should use during the second stage of its boot process. This option modifies the 'sname' field for devices that interpret this value as their second stage boot server.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1006
type=16bit
name=Destination port
description=Forces DHCP and BOOTP replies to be sent to a specific port. Has no effect when replies are sent to a relay agent.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1007
type=string
name=Lease log
description=Specifies a file where lease information is logged.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1008
type=string
name=MS option 67
description=Specifies a boot file the device may retrieve via TFTP from its second stage boot server. Unless you know your device requires this option, you should use option 1000 to convey a boot file name.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1009
type=string
name=MS option 66
description=The host name of a TFTP server the device should use during the second stage of its boot process. Unless you know your device requires this option, you should use option 1010 (as IP address) or option 1005 (as host name) to define the TFTP server.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1010
type=ipaddress
name=Next server
description=The IP address of a TFTP server the device should use during the second stage of its boot process. If your device expects to receive this information as DNS host name, use option 1009 or option 1005 to convey the TFTP server name.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1011
type=boolean
name=Legacy datagram size
description=Changes the default datagram size to 300 bytes instead of the newer 576 bytes.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1012
type=string
name=Description
description=A description value
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1013
type=boolean
name=Force unicast
description=Used to always force a unicast response.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1014
type=boolean
name=Force broadcast
description=Used to always force a broadcast response.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1015
type=boolean
name=Terminate strings
description=Legacy support - forces all string option values to be null terminated.
arrayed=false
signed=false
user_definable=disallowed
class=Server Control

tagpath=1016
type=boolean
name=Allow boot file override
description=Legacy support - allows a device to override its predefined boot file.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1017
type=ipaddress
name=Magic cookie
description=The 'magic cookie', as defined by RFC 1048.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1018
type=string
name=Home directory
description=Specifies a home directory for the device (or user).
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1019
type=string
name=DDNS update server
description=Use this option to specify a DNS server to be used for Dynamic DNS updates. Can be specified as hostname, hostname:port, ip or ip:port.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1020
type=string
name=Forward update zone
description=By defining this option, you are instructing the server to update A records for this node in the specified zone. The address of the DNS server can be specified in the configuration file or with option 1018, "DDNS Update server".
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1021
type=string
name=Reverse update zone
description=By defining this option, you are instructing the server to update PTR records for this node in the specified zone. The address of the DNS server can be specified in the configuration file or with option 1018, "DDNS Update server".
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1022
type=32bit
name=DDNS update ttl
description=If defined, this option specifies the TTL to use when updating DNS records. This option overrides any value specified by the server's master configuration file.
arrayed=false
signed=false
unit=seconds
user_definable=allowed
class=Server Control

tagpath=1023
type=8bit
name=DDNS update mode
description=Use this option to enable the server to perform Dynamic DNS updates. 0 = no ddns, 1 = use client-supplied info, 2 = use auto-generated info. For mode 1, you must also define option 'Reverse update zone'. The forward update zone is deduced from the client-supplied fqdn. For mode 2, you must define options 'Hostname', 'Reverse update zone' and 'Forward update zone'.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1024
type=boolean
name=DDNS authoritative
description=When true, this option empowers the DHCP server to assume complete responsibility for the DDNS updates it performs. In particular, the server will delete all existing DNS records for this host (forward updates) or address (reverse updates) before issuing a new DDNS update.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1025
type=byte_sequence
name=Override client id
description=When defined, this value is used to override the DHCP client-provided 'client identifier'. This is useful for assigning addresses to arbitrary identifiers, such as relay agent sub-information. This option should only be defined in a policy; any other definition has no effect.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1026
type=32bit
name=Binding TID type
description=If defined, specifies the type of trusted identifier to be stored with a client's binding. 1 = Remote ID, 2 = Circuit ID, 3 = Subscriber ID, 4 = Self ID, 5 = Host name. Default is 1.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1027
type=boolean
name=Allow Rapid Commit
description=When set to true, the server can more quickly process clients that have an existing lease. This is a standardized DHCP operation that allows the client and server to negotiate away part of the DHCP transaction.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1028
type=string
name=DDNS hostname
description=Specifies the host name to use for this client when performing DDNS updates. When defined, this value will often be an expression that generates a unique host name for each client.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=1029
type=32bit
name=Self ID address limit
description=Limits the number of addresses that any instance of a device can be allocated.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=0xFFFFFFEE
type=ipaddress
name=PKT:CIAddr
description=The device's Internet address field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFED
type=ipaddress
name=PKT:YIAddr
description='Your' Internet address field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFEC
type=ipaddress
name=PKT:SIAddr
description=The server's Internet address field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFEB
type=ipaddress
name=PKT:GIAddr
description=Gateway Internet address field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFEA
type=string
name=PKT:SName
description=Server name field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE9
type=16bit
name=PKT:Flags
description=Flags field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE8
type=16bit
name=PKT:Seconds
description=Number of seconds device has been booting.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE7
type=8bit
name=PKT:Opcode
description=Opcode field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE6
type=8bit
name=PKT:HType
description=Hardware Type field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE5
type=8bit
name=PKT:HLen
description=Hardware Address Length field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE4
type=8bit
name=PKT:Hops
description=Hops field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE3
type=32bit
name=PKT:XID
description=Transaction ID field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE2
type=byte_sequence
name=PKT:CHAddr
description=The device's Hardware Address field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE1
type=ipaddress
name=PKT:Magic cookie
description=Magic cookie field as defined by RFC 1048.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area

tagpath=0xFFFFFFE0
type=string
name=PKT:Boot file
description=Boot file field as defined in a DHCP packet.
arrayed=false
signed=false
user_definable=disallowed
class=Fixed-Area
