spec_name=DHCPv6
spec_description=DHCPv6 option definitions. These options will not override options that are already in your database.
include=oinc,oinc6

# unused option code
tagpath=0
type=control
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Unused
description=Unused option code.
class=Standard DHCP

# client id
tagpath=1
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Client identifier
description=The unique identifier for this client.
class=Standard DHCP

# serverid
tagpath=2
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Server identifier
description=The unique identifier for this server.
class=Standard DHCP

# iana
tagpath=3
type=fixed_offset
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=IANA
description=Identify Association Non-temporary Address.
fixed_offsets="1,0,4","2,4,4","3,8,4","4,12,0"
class=Standard DHCP

# iaid within iana
tagpath=3/1
type=32bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=IAID
description=Identity Association Identifier.
class=Standard DHCP

# iana t1
tagpath=3/2
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=T1
description=T1
class=Standard DHCP

# iana t2
tagpath=3/3
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=T2
description=T2
class=Standard DHCP

# options
tagpath=3/4
type=topencoded
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Options
description=Options for IANA
class=Standard DHCP

# iata
tagpath=4
type=fixed_offset
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=IATA
description=Identify Association Temporary Address.
fixed_offsets="1,0,4","2,4,0"
class=Standard DHCP

# iaid within iata
tagpath=4/1
type=32bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=IAID
description=Identity Association Identifier.
class=Standard DHCP

# options
tagpath=4/2
type=topencoded
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Options
description=Options for IATA
class=Standard DHCP

# iaaddr
tagpath=5
type=fixed_offset
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=IA Address
description=IP addresses associated with an IANA or IATA.
fixed_offsets="1,0,16","2,16,4","3,20,4","4,24,0"
class=Standard DHCP

# address part of iaaddr
tagpath=5/1
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Address
description=An IP addresses.
class=Standard DHCP

# pref lifetime part of iaaddr
tagpath=5/2
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Preferred lifetime
description=Preferred lifetime.
class=Standard DHCP

# valid lifetime part of iaaddr
tagpath=5/3
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Valid lifetime
description=Valid lifetime.
class=Standard DHCP

# options
tagpath=5/4
type=topencoded
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Options
description=Options for IAADDR.
class=Standard DHCP

tagpath=6
type=16bit
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Option request
description=Used to request options.
class=Standard DHCP

tagpath=7
type=8bit
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Preference
description=A selectivity value that helps clients decide which DHCP server to use. 0 = low selectivity, 255 = high selectivity.
class=Standard DHCP

tagpath=8
type=16bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Elapsed time
description=Elapsed time, in hundredths of a second.
class=Standard DHCP

tagpath=9
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Relay message
description=Relay message.
class=Standard DHCP

# option 10 is not defined

tagpath=11
type=fixed_offset
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Auth
description=Authentication option.
fixed_offsets="1,0,1","2,1,1","3,2,1","4,3,8","5,11,0"
class=Standard DHCP

tagpath=11/1
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Auth protocol
description=Authentication protocol
class=Standard DHCP

tagpath=11/2
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Auth algorithm
description=Authentication algorithm
class=Standard DHCP

tagpath=11/3
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Auth RDM
description=Authentication RDM
class=Standard DHCP

tagpath=11/4
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Auth replay detection
description=Authentication replay detection
class=Standard DHCP

tagpath=11/5
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Auth info
description=Authentication information
class=Standard DHCP

tagpath=12
type=ipaddress
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Unicast address
description=Unicast address.
class=Standard DHCP

tagpath=13
type=fixed_offset
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Status code
description=Status code.
fixed_offsets="1,0,2","2,2,0"
class=Standard DHCP

tagpath=13/1
type=16bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Code
description=Code.
class=Standard DHCP

tagpath=13/2
type=string
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Message
description=Message.
class=Standard DHCP

tagpath=14
type=control
signed=false
arrayed=false
len_prefix_width=2
user_definable=disallowed
null_terminated=false
name=Rapid commit
description=Rapid commit.
class=Standard DHCP

tagpath=15
type=byte_sequence
signed=false
arrayed=false
len_prefix_width=2
user_definable=allowed
null_terminated=false
name=User class
description=User class.
class=Standard DHCP

tagpath=16
type=fixed_offset
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Vendor class
description=Vendor class.
fixed_offsets="1,0,4","2,4,0"
class=Standard DHCP

tagpath=16/1
type=32bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Enterprise number
description=Vendor enterprise number.
class=Standard DHCP

tagpath=16/2
type=string
signed=false
arrayed=true
len_prefix_width=2
user_definable=disallowed
null_terminated=false
name=Data
description=Vendor class data.
class=Standard DHCP

tagpath=17
type=fixed_offset
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=Vendor options
description=Vendor options.
fixed_offsets="1,0,4","2,4,0"
class=Standard DHCP

tagpath=17/1
type=32bit
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Enterprise number
description=Vendor enterprise number.
class=Standard DHCP

tagpath=17/2
type=subencoded
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Options
description=Vendor-specific options.
context_vendor_id=<17/1>
class=Standard DHCP

tagpath=18
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Interface identifier
description=Interface identifier.
class=Standard DHCP

tagpath=19
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Reconfigure message
description=Reconfigure message.
class=Standard DHCP

tagpath=20
type=control
signed=false
arrayed=false
len_prefix_width=2
user_definable=disallowed
null_terminated=false
name=Reconfigure accept
description=Reconfigure accept.
class=Standard DHCP

tagpath=21
type=dnsname
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=SIP server D
description=SIP server as domain name.
class=Standard DHCP

tagpath=22
type=dnsname
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=SIP server A
description=SIP server as address.
class=Standard DHCP

tagpath=23
type=ipaddress
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=DNS servers
description=DNS recursive name servers.
class=Standard DHCP

tagpath=24
type=dnsname
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=Domain search list
description=Domain search list.
class=Standard DHCP

tagpath=25
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=IAPD
description=IAPD (RFC 3633).
fixed_offsets="1,0,4","2,4,4","3,8,4","4,12,0"
class=Standard DHCP

tagpath=25/1
type=32bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=IAID
description=IAPD IAID.
class=Standard DHCP

tagpath=25/2
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=T1
description=The time at which the requesting router should contact the delegating router from which the prefixes in the IA_PD were obtained to extend the lifetimes of the prefixes delegated to the IA_PD. (RFC 3633, s9)
class=Standard DHCP

tagpath=25/3
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=T2
description=The time at which the requesting router should contact any available delegating router to extend the lifetimes of the prefixes assigned to the IA_PD. (RFC 3633, s9)
class=Standard DHCP

tagpath=25/4
type=topencoded
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Options
description=Options for IAPD.
class=Standard DHCP

tagpath=26
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=IA Prefix
description=IA Prefix.
fixed_offsets="1,0,4","2,4,4","3,8,1","4,9,16","5,25,0"
class=Standard DHCP

tagpath=26/1
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Preferred lifetime
description=Preferred lifetime.
class=Standard DHCP

tagpath=26/2
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Valid lifetime
description=Valid lifetime.
class=Standard DHCP

tagpath=26/3
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Prefix len
description=Prefix length.
class=Standard DHCP

tagpath=26/4
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Prefix
description=Prefix.
class=Standard DHCP

tagpath=26/5
type=topencoded
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Options
description=Options.
class=Standard DHCP

tagpath=27
type=ipaddress
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=NIS server
description=A list, in preferential order, of Network Information Service servers. (RFC 3898)
class=Standard DHCP

tagpath=28
type=ipaddress
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=NIS+ server
description=A list, in preferential order, of Network Information Service V2 servers. (RFC 3898)
class=Standard DHCP

tagpath=29
type=string
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=NIS domain
description=Used to convey the client's Network Information Service (NIS) Domain Name. (RFC 3898)
class=Standard DHCP

tagpath=30
type=string
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=NIS+ domain
description=Used to convey the client's Network Information Service V2 (NIS+) Domain Name. (RFC 3898)
class=Standard DHCP

tagpath=31
type=ipaddress
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=SNTP server
description=A list, in preferential order, of Simple Network Time Protocol (SNTP) servers available to the device. Time servers allow the device to synchronize its clock with the network standard time. (RFC 4075)
class=Standard DHCP

tagpath=32
type=32bit
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Information refresh time
description=The information refresh time option specifies an upper bound for how long a client should wait before refreshing information retrieved from DHCPv6. (RFC 4242)
default_value=86400
min_value=600
unit=seconds
class=Standard DHCP

arrayed=true
description=Specifies a list of BCMCS controller servers. (RFC 4280)
name=BCMCS Controller Domain Names
signed=false
tagpath=33
type=dnsname
user_definable=allowed
class=Standard DHCP

arrayed=true
description=Specifies a list of BCMCS controller servers. (RFC 4280)
name=BCMCS Controller Addresses
signed=false
tagpath=34
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=Civic location configuration. (RFC 4776)
name=Civic Location
signed=false
tagpath=36
type=fixed_offset
user_definable=allowed
class=Standard DHCP
fixed_ofsets="1,0,1","2,1,2","3,2,0"

arrayed=false
description=Defines what this location information refers to. See RFC 4776 for acceptable values.
name=What
signed=false
tagpath=36/1
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The two-letter ISO country code. (RFC 4776)
name=Country code
signed=false
tagpath=36/2
type=string
user_definable=allowed
class=Standard DHCP

arrayed=true
description=The civic address. (RFC 4776)
name=Civic address
signed=false
tagpath=36/3
type=fixed_offset
user_definable=allowed
class=Standard DHCP
fixed_offsets="1,0,1","2,1,0"

arrayed=false
description=The civic address type. See RFC 4776 for a list of valid types.
name=CA type
signed=false
tagpath=36/3/1
type=8bit
user_definable=allowed
class=Standard DHCP

arrayed=false
description=The civic address value. See RFC 4776 for formatting information.
name=CA value
signed=false
tagpath=36/3/2
type=string
len_prefix_width=1
user_definable=allowed
class=Standard DHCP

tagpath=37
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Remote ID
description=A trusted vendor-specific value that identifies the endpoint being relayed. (RFC 4649)
fixed_offsets="1,0,4","2,4,0"
class=Standard DHCP

tagpath=37/1
type=32bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Enterprise number
description=Vendor enterprise number.
class=Standard DHCP

tagpath=37/2
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Remote ID
description=A vendor-unique remote identifier.
class=Standard DHCP

tagpath=38
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Subscriber ID
description=If supplied by a device, indicates the specific subscriber requesting service. (RFC 4580)
class=Standard DHCP

tagpath=39
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Client FQDN
description=The client's fully qualified domain name.
fixed_offsets="1,0,1","2,1,0"
class=Standard DHCP

tagpath=39/1
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Flags
description=Flags.
class=Standard DHCP

tagpath=39/2
type=dnsname
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Domain name
description=Domain name.
class=Standard DHCP

tagpath=40
arrayed=true
description=A list, in preferential order, of PANA authentication agents for use by the device. (RFC 5192)
name=PANA agent
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A Posix timezone string. (RFC 4833)
name=TZ-Posix
signed=false
tagpath=41
type=string
user_definable=allowed
class=Standard DHCP

arrayed=false
description=A reference to the TZ database. (RFC 4833)
name=TZ-Database
signed=false
tagpath=42
type=string
user_definable=allowed
class=Standard DHCP

tagpath=43
type=16bit
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Relay agent echo request
description=Used by relay agents to request options that should be echoed back to the relay agent. (RFC 4994)
class=Standard DHCP

# lease query option
tagpath=44
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Lease Query
description=Used for lease-query messages. (RFC 5007)
fixed_offsets="1,0,1","2,1,16","3,17,0"
class=Standard DHCP

# lease query suboption query-type
tagpath=44/1
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Query type
description=Identifies the type of query.
class=Standard DHCP

# lease query suboption link address
tagpath=44/2
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Link address
description=A global address that identifies the link to which this query applies.
class=Standard DHCP

# lease query suboption options
tagpath=44/3
type=topencoded
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Options
description=Options associated with the lease query.
class=Standard DHCP

# lease-query client data
tagpath=45
type=topencoded
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=LQ client data
description=Lease query response options associated with a client. (RFC 5007)
class=Standard DHCP

tagpath=46
type=32bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Client Last Transaction Time
description=Used with DHCP lease-query to indicate the number of seconds since the client last communicated with this server. (RFC 5007)
class=Standard DHCP

tagpath=47
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Relay data
description=Used with DHCP lease-query to transmit relay headers associated with a DHCP client. (RFC 5007)
fixed_offsets="1,0,16","2,17,0"
class=Standard DHCP

# relay data suboption peer-address
tagpath=47/1
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Peer address
description=The address of the relay agent from which the relayed message was received.
class=Standard DHCP

tagpath=47/2
type=byte_sequence
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Relay headers
description=Encapsulated relay headers associated with a DHCP client.
class=Standard DHCP

tagpath=48
type=ipaddress
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Client link
description=One or more link addresses on which the DHCP client is or has been active. (RFC 5007)
class=Standard DHCP

tagpath=49
type=fixed_offset
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=Home Network Information
description=Options for home info discovery. (draft-ietf-mip6-hiopt-17.txt)
fixed_offsets="1,0,1","2,1,0"
class=Standard DHCP

tagpath=49/1
type=8bit
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=ID type
description=Type of home network identifier: 0 = Visited Domain, 1 = Target MSP, 2 = No Preference. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=49/2
type=subencoded
signed=false
arrayed=true
user_definable=allowed
null_terminated=false
name=Options
description=A series of Home Network Information sub-options. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=49/2/1
type=dnsname
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Home network identifier
description=An identifier for a home network. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=49/2/2
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Home Prefix
description=Home network prefix.
fixed_offsets="1,0,4","2,4,4","3,8,1","4,9,16","5,25,0"
class=Standard DHCP

tagpath=49/2/2/1
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Preferred lifetime
description=Preferred lifetime.
class=Standard DHCP

tagpath=49/2/2/2
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Valid lifetime
description=Valid lifetime.
class=Standard DHCP

tagpath=49/2/2/3
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Prefix len
description=Prefix length.
class=Standard DHCP

tagpath=49/2/2/4
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Prefix
description=Prefix.
class=Standard DHCP

tagpath=49/2/2/5
type=topencoded
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Options
description=Options.
class=Standard DHCP

tagpath=49/2/3
type=ipaddress
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Home agent address
description=The IPv6 address of the home agent. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=49/2/4
type=dnsname
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Home Agent FQDN
description=The FQDN of the home agent. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=50
type=subencoded
signed=false
arrayed=true
user_definable=false
null_terminated=false
name=MIP6 Relay Agent
description=Carries the home network information for the mobile node from the DHCP relay agent. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=50/1
type=fixed_offset
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Home Prefix
description=Home network prefix.
fixed_offsets="1,0,4","2,4,4","3,8,1","4,9,16","5,25,0"
class=Standard DHCP

tagpath=50/1/1
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Preferred lifetime
description=Preferred lifetime.
class=Standard DHCP

tagpath=50/1/2
type=time
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Valid lifetime
description=Valid lifetime.
class=Standard DHCP

tagpath=50/1/3
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Prefix len
description=Prefix length.
class=Standard DHCP

tagpath=50/1/4
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Prefix
description=Prefix.
class=Standard DHCP

tagpath=50/1/5
type=topencoded
signed=false
arrayed=true
user_definable=disallowed
null_terminated=false
name=Options
description=Options.
class=Standard DHCP

tagpath=50/2
type=ipaddress
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Home agent address
description=The IPv6 address of the home agent. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=50/3
type=dnsname
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Home Agent FQDN
description=The FQDN of the home agent. (draft-ietf-mip6-hiopt-17.txt)
class=Standard DHCP

tagpath=51
arrayed=false
description=A fully qualified domain name to be used by LoST clients to locate a LoST server. (RFC 5223)
name=LoST server
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=52
arrayed=true
description=A list, in preferential order, of Control And Provisioning of Wireless Access Points (CAPWAP) servers available to Wireless Termination Points. (RFC 5417)
name=CAPWAP servers
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=53
arrayed=false
description=When responding to a lease-query by relay identifier, this option contains the relay agent DUID for the queried agent. (RFC 5460)
name=Relay ID
signed=false
type=byte_sequence
user_definable=allowed
class=Standard DHCP

tagpath=54
arrayed=false
description=A set of addresses for Mobility Services that facilitate handover preparation and handover decision. (RFC 5678)
name=MoS address
signed=false
type=subencoded
user_definable=allowed
class=Standard DHCP

tagpath=54/1
arrayed=true
description=A list, in preferential order, of IS servers to be used by the Mobility Services client. (RFC 5678)
name=IS
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=54/2
arrayed=true
description=A list, in preferential order, of CS servers to be used by the Mobility Services client. (RFC 5678)
name=CS
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=54/3
arrayed=true
description=A list, in preferential order, of ES servers to be used by the Mobility Services client. (RFC 5678)
name=ES
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=55
arrayed=false
description=A set of domain names for Mobility Services that facilitate handover preparation and handover decision. (RFC 5678)
name=MoS domain name
signed=false
type=subencoded
user_definable=allowed
class=Standard DHCP

tagpath=55/1
arrayed=false
description=The fully qualified domain name of an IS server to be used by the Mobility Services client. (RFC 5678)
name=IS
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=55/2
arrayed=false
description=The fully qualified domain name of a CS server to be used by the Mobility Services client. (RFC 5678)
name=CS
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=55/3
arrayed=false
description=The fully qualified domain name of an ES server to be used by the Mobility Services client. (RFC 5678)
name=ES
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=56
arrayed=false
description=Holds one or more options that allow the device to locate and use a Network Time Protocol server. (RFC 5908)
name=NTP server
signed=false
type=subencoded
user_definable=allowed
class=Standard DHCP

tagpath=56/1
arrayed=false
description=The ip address of a Network Time Protocol (NTP) server available to the device. (RFC 5908)
name=NTP server address
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=56/2
arrayed=false
description=The multicast ip address the device should use when attempting to locate a Network Time Protocol (NTP) server. (RFC 5908)
name=NTP multicast address
signed=false
type=ipaddress
user_definable=allowed
class=Standard DHCP

tagpath=56/3
arrayed=false
description=The fully qualified domain name of a Network Time Protocol (NTP) server available to the device. (RFC 5908)
name=NTP domain name
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=57
arrayed=false
description=The domain name associated with the access network. (RFC 5986)
name=Access network domain name
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=58
arrayed=true
description=A list, in preferential order, of Session Initiation Protocol (SIP) User Agent Configuration Service Domains. (RFC 6011)
name=SIP UA CS domains
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=59
arrayed=false
description=A Uniform Resource Locator (URL) specifying a boot file to be downloaded by the device. (RFC 5970)
name=Boot file URL
signed=false
type=string
user_definable=allowed
class=Standard DHCP

tagpath=60
arrayed=true
description=A set of parameters to be used with the boot file that was downloaded from the Boot file URL (option 59). (RFC 5970)
name=Boot file parameters
signed=false
type=string
user_definable=allowed
len_prefix_width=2
class=Standard DHCP

tagpath=61
arrayed=true
description=A list of architecture types supported by the device that helps the server decide which Boot file should be downloaded. (RFC 5970)
name=Architecture type
signed=false
type=16bit
user_definable=disallowed
class=Standard DHCP

tagpath=62
arrayed=true
description=Indicates the device's Universal Network Device Interface (UNDI) level of support. (RFC 5970)
name=Network interface identifier
signed=false
type=fixed_offset
user_definable=disallowed
fixed_offsets="1,0,1","2,1,1","3,2,1"
class=Standard DHCP

tagpath=62/1
arrayed=false
description=Indicates the device's Universal Network Device Interface (UNDI) type. (RFC 5970)
name=Type
signed=false
type=8bit
user_definable=disallowed
class=Standard DHCP

tagpath=62/2
arrayed=false
description=Indicates the device's Universal Network Device Interface (UNDI) major revision number. (RFC 5970)
name=Major
signed=false
type=8bit
user_definable=disallowed
class=Standard DHCP

tagpath=62/3
arrayed=false
description=Indicates the device's Universal Network Device Interface (UNDI) minor revision number. (RFC 5970)
name=Minor
signed=false
type=8bit
user_definable=disallowed
class=Standard DHCP

tagpath=63
arrayed=false
description=This option can be used to inform a device of its physical location. The data is represented as encoded numbers that do not fall on 8-bit boundaries. (RFC 6225)
name=Geolocation
signed=false
type=byte_sequence
user_definable=allowed
class=Standard DHCP

tagpath=64
arrayed=false
description=The fully qualified domain name of an Address Family Transition Router (AFTR) to be used by a Dual-Stack Lite Basic Bridging BroadBand (B4) device. (RFC 6334)
name=AFTR name
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=65
arrayed=false
description=The fully qualified local domain to be used with the EAP Re-authentication Protocol (ERP) EAP method. This domain name is not for general purpose use and should not be used for any other context. (RFC 6440)
name=ERP local domain
signed=false
type=dnsname
user_definable=allowed
class=Standard DHCP

tagpath=66
arrayed=true
description=A set of options supplied by an intermediate relay agent that should be reflected back to the device requesting service. (RFC 6422)
name=Relay-supplied options
signed=false
type=topencoded
user_definable=disallowed
class=Standard DHCP

tagpath=65535
type=control
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=End
description=End tag.
class=Standard DHCP

tagpath=100000
type=string
signed=false
arrayed=false
user_definable=allowed
null_terminated=false
name=Lease log
description=Specifies a file where lease information is logged.
class=Server Control

tagpath=100001
type=boolean
name=Device selectable
description=Indicates whether or not an address or network pool is available for explicit selection via the RFC-standard 'subnet selection' option.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100002
type=string
name=Description
description=A description value.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100003
type=32bit
name=Circuit ID address limit
description=Limits the number of addresses that can be allocated to a given circuit id.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100004
type=32bit
name=Remote ID address limit
description=Limits the number of addresses that can be allocated to a given remote id.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100005
type=32bit
name=Subscriber ID address limit
description=Limits the number of addresses that can be allocated to a given subscriber id.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100006
type=string
name=DDNS update server
description=Use this option to specify a DNS server to be used for Dynamic DNS updates. Can be specified as IP address, hostname, ip:port or hostname:port.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100007
type=string
name=Forward update zone
description=By defining this option, you are instructing the server to update AAAA records for this node in the specified zone. The address of the DNS server can be specified in the configuration file or with option 100006, "DDNS Update server".
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100008
type=string
name=Reverse update zone
description=By defining this option, you are instructing the server to update PTR records for this node in the specified zone. The address of the DNS server can be specified in the configuration file or with option 100006, "DDNS Update server".
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100009
type=32bit
name=DDNS update ttl
description=If defined, this option specifies the TTL to use when updating DNS records. This option overrides any value specified by the server's master configuration file.
arrayed=false
signed=false
unit=seconds
user_definable=allowed
class=Server Control

tagpath=100010
type=8bit
name=DDNS update mode
description=Use this option to enable the server to perform Dynamic DNS updates. 0 = no ddns, 1 = use client-supplied info, 2 = use auto-generated info. For mode 1, you must also define option 'Reverse update zone'. The forward update zone is deduced from the client-supplied fqdn. For mode 2, you must define options 'DDNS hostname', 'Reverse update zone' and 'Forward update zone'.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100011
type=string
name=DDNS hostname
description=Specifies the host name to use for this client when performing DDNS updates. When defined, this value will often be an expression that generates a unique host name for each client.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100012
type=boolean
name=DDNS authoritative
description=When true, this option empowers the DHCP server to assume complete responsibility for the DDNS updates it performs. In particular, the server will delete all existing DNS records for this host/address before issuing a new DDNS update.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100013
type=byte_sequence
name=Override client id
description=When defined, this value is used to override the DUID provided by the DHCP client. This is useful for assigning addresses to arbitrary identifiers, such as relay agent sub-information. This option should only be defined in a policy; any other definition has no effect.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100014
type=32bit
name=Binding TID type
description=If defined, specifies the type of trusted identifier to be stored with a client's binding. 1 = Remote ID, 2 = Circuit ID, 3 = Subscriber ID, 4 = Self ID, 5 = Host name. Default is 1.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100015
type=32bit
name=Binding TID index
description=An index value that specifies which trusted identifier to store with a client's binding if more than one TID is available. The default is 0, and refers to the TID closest to the client.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100016
type=boolean
name=Allow Rapid Commit
description=When set to true, the server can more quickly process clients that have an existing lease. This is a standardized DHCP operation that allows the client and server to negotiate away part of the DHCP transaction.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100017
type=16bit
name=Destination port
description=Forces DHCP replies to be sent to a specific port. This option can only be defined in a policy, and it has no effect when replies are sent to a relay agent.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=100018
type=32bit
name=Self ID address limit
description=Limits the number of addresses that any instance of a device can be allocated.
arrayed=false
signed=false
user_definable=allowed
class=Server Control

tagpath=0xFFFFFF00
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Message type
description=Message type.
class=Fixed-Area

tagpath=0xFFFFFF01
type=24bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=XID
description=Transaction identifier.
class=Fixed-Area

tagpath=0xFFFFFF02
type=8bit
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Hop count
description=Hop count.
class=Fixed-Area

tagpath=0xFFFFFF03
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Link address
description=Link address.
class=Fixed-Area

tagpath=0xFFFFFF04
type=ipaddress
signed=false
arrayed=false
user_definable=disallowed
null_terminated=false
name=Peer address
description=Peer address.
class=Fixed-Area

